public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/subprocess-tee/
Date: Sun, 18 Dec 2022 07:27:45 +0000 (UTC)	[thread overview]
Message-ID: <1671348459.75209004bb1eb76e7a71c893f3c39371845791ab.mgorny@gentoo> (raw)

commit:     75209004bb1eb76e7a71c893f3c39371845791ab
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 18 05:44:55 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 18 07:27:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75209004

dev-python/subprocess-tee: Bump to 0.4.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/subprocess-tee/Manifest                 |  1 +
 .../subprocess-tee/subprocess-tee-0.4.1.ebuild     | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/subprocess-tee/Manifest b/dev-python/subprocess-tee/Manifest
index e343a8b1fd30..88b5ae2c3e91 100644
--- a/dev-python/subprocess-tee/Manifest
+++ b/dev-python/subprocess-tee/Manifest
@@ -1,2 +1,3 @@
 DIST subprocess-tee-0.3.5.tar.gz 16887 BLAKE2B 6eb25085eb2b2ee4557efd556d8035ab8f6b781b47783f24f227db04b3f82fffcfa29d69f0e3588c3fa6188446a3d96d4421e6b1ea5b3292f42635e19a404bab SHA512 47de075e7b6c75598dac0ad1899e1cce9dc1131b49c35ccade2b67c8d2a2d0248ce22a20c336519ff00bfd57269613bc663012e48cf0afa087c93ee74e18e4d4
 DIST subprocess-tee-0.4.0.tar.gz 12815 BLAKE2B 0a536daca56dd441848eaaeb3d53384349debdfe7b83458a89ff9e9d44cf63d4cae9eb6436705494cbb15282594a3ad0ce1c8dd51bfb6f79128c6855ab3b2c82 SHA512 944f978c87d612a7846709106b7857761288ef9e6923bf0b69e20cc493b7dbcf51c16867ed7b3038a1d2f180108972c35e8d9fe380542b56c7c68320caf9321b
+DIST subprocess-tee-0.4.1.tar.gz 13599 BLAKE2B 779a8b5381155e8d524b6715ab9cc37f8e55565dd378a2d256648d56f018dc71860b0db2a50572a5e03fab7d2de5cd691be53c49c1aa79e756b4eb8a8d5878a5 SHA512 683813096c4bb78a4263075ba8590a926134ec92db5e2e72ed98ab1db9e231768adc15bb4273ba138f9a1b2a14ae4050d0b6acc76d483d0f3530f376ce8d9eee

diff --git a/dev-python/subprocess-tee/subprocess-tee-0.4.1.ebuild b/dev-python/subprocess-tee/subprocess-tee-0.4.1.ebuild
new file mode 100644
index 000000000000..100597cf333b
--- /dev/null
+++ b/dev-python/subprocess-tee/subprocess-tee-0.4.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="subprocess.run replacement with tee(1)-like output"
+HOMEPAGE="
+	https://github.com/pycontribs/subprocess-tee/
+	https://pypi.org/project/subprocess-tee/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+IUSE="test-full"
+REQUIRED_USE="test-full? ( test )"
+
+# ansible-molecule is invoked as an executable so no need for PYTHON_USEDEP
+BDEPEND="
+	>=dev-python/setuptools_scm-7.0.0[${PYTHON_USEDEP}]
+	test? (
+		dev-python/enrich[${PYTHON_USEDEP}]
+		test-full? ( app-admin/ansible-molecule )
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	local EPYTEST_DESELECT=()
+
+	if ! use test-full; then
+		EPYTEST_DESELECT+=(
+			test/test_func.py::test_molecule
+		)
+	fi
+
+	epytest
+}


             reply	other threads:[~2022-12-18  7:27 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-18  7:27 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-06  8:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/subprocess-tee/ Michał Górny
2024-07-06  6:56 Arthur Zamarin
2024-06-18  4:45 Michał Górny
2024-05-18  9:41 Michał Górny
2023-11-04 18:03 Michał Górny
2022-12-25 17:50 Michał Górny
2022-12-25 16:45 Sam James
2022-11-25  5:14 Michał Górny
2022-09-27  7:06 Agostino Sarubbo
2022-09-21 14:00 Marek Szuba
2022-09-21 14:00 Marek Szuba
2022-06-05  5:52 Michał Górny
2022-04-01  8:18 Marek Szuba
2021-10-17  9:41 Michał Górny
2021-10-07  7:21 Michał Górny
2021-10-06  7:46 Michał Górny
2021-09-16 15:19 Marek Szuba
2021-09-15 15:14 Marek Szuba
2021-06-14 12:39 Marek Szuba
2021-06-11 15:05 Marek Szuba

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1671348459.75209004bb1eb76e7a71c893f3c39371845791ab.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox